Subject: PWG-ANNOUNCE> Semantic Model Working Group Update

From: "Zehler, Peter" <[email-masked]>
Date: Fri, 7 Apr 2006 15:21:45 -0400

All,
 
The Semantic Model Working Group has been reactivated.  Interested
parties should subscribe to the Semantic Model mail list.  All
discussions will occur on that list.  There will be a teleconference on
April 19.  The details will be posted on the Semantic Model mail list.
Included below is a note covering my action item from this week's face
to face.
 
Pete

Peter Zehler
XEROX
Xerox Innovation Group
Email: [email-masked]
Voice:    (585) 265-8755
FAX:      (585) 265-7441
US Mail: Peter Zehler
              Xerox Corp.
              800 Phillips Rd.
              M/S 128-25E
              Webster NY, 14580-9701 

________________________________

From: Zehler, Peter 
Sent: Friday, April 07, 2006 12:22 PM
To: [email-masked]'
Subject: SM Schema update

All,
 
I have created an updated version of the SM schema.  I hope this can be
the basis for extension work. 
A local version (i.e. relative links to schema files stored in the same
directory) of the schema is available at
<ftp://ftp.pwg.org/pub/pwg/Semantic-Model/Schema/PWG-SM-040706.zip
<ftp://ftp.pwg.org/pub/pwg/Semantic-Model/Schema/PWG-SM-040706.zip> >.
I have included an XMLSPY project file.
 
The date when I can have an straw man schema that includes Subunits,
Counters and Imaging Device Services Framework is right now.
 
What I have done is 
1) Added the subunits as a peer of the services (e.g. Printer)
2) Added services for an Imaging device (e.g. FaxIn)
3) Included Counters which I believe are up to date with the approved
specification
4) Added includes to all subschema so that each is valid on its own
(makes it easier to edit and traverse)
5) Update the SM namespace
 
What I have not done is
1) Resolve the name conflict between Subunits and SM (I put Subunits in
its own namespace as a stopgap solution)
2) Renamed the services to be consistent with WIMS
3) Added WIMS (except for Subunits)
4) Updated the master list of elements
5) Done anything to the SM specification
 
Pete
Peter Zehler 
XEROX 
Xerox Innovation Group 
Email: [email-masked] 
Voice:    (585) 265-8755 
FAX:      (585) 265-7441 
US Mail: Peter Zehler
Xerox Corp. 
        800 Phillips Rd. 
        M/S 128-25E 
Webster NY, 14580-9701